.menu-row.bgcolored .menu-only {
    background: rgb(54, 94, 220);
    position: relative;
}
.menu-row.middle-block .mega-menu {
    height: 53px;
}
.menu-row .menu-only .mega-menu {
    position: static;
}
.mega-menu {
    --transition-duration: 0.2s;
    --transition-delay: 0.2s;
    --menu-item-hover-color: #fff;
    position: relative;
    z-index: 12;
}

.mega-menu table {
    border-collapse: collapse;
    border-spacing: 0;
    width: 100%;
    max-width: 100%;
}
.long_banner_contents .menu-row .mega-menu table td:first-child,
.menu-row .mega-menu table td:first-child {
    border-radius: 3px 0 0 3px;
}
#header .mega-menu td.dropdown:not(.wide_menu)>.wrap {
    position: relative;
}
.menu-row .menu-only .mega-menu table td {
    position: static;
}
.mega-menu table td {
    padding: 0;
    text-align: center;
    position: relative;
}
.menu-row.bgcolored .mega-menu table td.active {
    background-color: #234ac7;
}
.menu-row .mega-menu table td.dropdown.wide_menu > .wrap {
    position: static;
}

.dropdown-menu li::marker {
    display: none;
}
.mega-menu table .tail {
    display: none;
}

.mega-menu .menu-item.dropdown .wrap, 
.mega-menu .menu-item.dropdown .wrap > a {
    background-color: inherit;
}
.menu-row.middle-block .mega-menu table td .wrap > a > div {
    display: inline-block;
}
.menu-row.middle-block:not(.bglight) .mega-menu table td .wrap > a {
    color: #fff;
}
.mega-menu table td .wrap > a {
    border: none;
    font-weight: bold;
    padding: 38px 12px 41px;
    text-transform: uppercase;
    width: auto;
    display: block;
    font-size: .867em;
    position: relative;
    color: #222222;
    color: var(--white_text_black2);
    height: 100px;
}
.mega-menu table a {
    display: block;
    width: 100%;
    text-decoration: none;
    white-space: nowrap;
}
.menu-row.middle-block .mega-menu table td .wrap > a {
    display: block;
    padding: 18px 18px 25px;
    height: 53px;
    line-height: 1.33em;
    letter-spacing: 1.2px;
}

/* --- Иконки SVG --- */
.mega-menu table td .wrap > a .svg:not(.svg-inline-down) {
    top: -2px;
    margin-right: 10px;
}
.mega-menu table td .wrap > a:hover .svg, 
.light-menu-color i.svg {
    opacity: 1;
}
.mega-menu .wrap > a .svg.svg-inline-down {
    top: -1px;
    margin-left: 8px;
    display: none;
}
.mega-menu .menu-item.dropdown .wrap > a, 
.mega-menu .menu-item.dropdown .wrap > a path {
    transition: all var(--transition-duration, .25s) ease-in-out;
}

/* --- Выпадающие блоки (Dropdown) --- */
.mega-menu table td.wide_menu > .wrap > .dropdown-menu {
    min-width: 100%;
    border-radius: 0 0 3px 3px;
    left: 0 !important;
    right: 0 !important;
}
.mega-menu table .dropdown-menu {
    border-radius: 0 0 3px 3px;
    border: none;
    margin: 0;
    top: auto;
    padding: 0;
    text-align: left;
    opacity: 0;
    background-clip: border-box;
    background-color: var(--card_bg_black);
}
.mega-menu .dropdown-menu {
    display: block;
    opacity: 0;
    transition: opacity var(--transition-duration) ease-in-out var(--transition-delay), visibility var(--transition-duration) ease-in-out var(--transition-delay);
    visibility: hidden;
}
.dropdown-menu {
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 1000;
    display: none;
    float: left;
    min-width: 160px;
    padding: 5px 0;
    margin: 2px 0 0;
    list-style: none;
    font-size: 14px;
    background-color: #fff;
    border: 1px solid rgba(0, 0, 0, .15);
    border-radius: 4px;
    box-shadow: 0 6px 12px rgba(0, 0, 0, .175);
    background-clip: padding-box;
}
.dropdown-submenu:hover > .dropdown-menu, 
.mega-menu .menu-item.wide_menu:hover .dropdown-menu, 
.mega-menu .menu-item:hover .wrap > .dropdown-menu {
    visibility: visible;
    opacity: 1;
}
.menu-navigation {
    display: flex;
    height: 630px;
    max-width: 1390px;
    margin: auto;
}
body .menu-navigation__sections-wrapper {
    overflow: hidden;
    flex-direction: column;
    width: 256px;
    height: 100%;
    border-right: 1px solid rgba(0, 0, 0, 0.09);
    flex-shrink: 0;
}
.menu-row .mega-menu table td.wide_menu .dropdown-menu.long-menu-items .customScrollbar {
    max-height: 630px;
    overflow: auto;
    overscroll-behavior: contain;
}
.dropdown-menu.with_right_block .scrollblock:not(.scroll-init) {
    display: flex;
    flex-direction: row-reverse;
}
.scrollblock {
    overflow: hidden auto;
    scrollbar-width: thin;
}
.menu-navigation__sections {
    padding-top: 15px;
    width: 100%;
    font-size: 15px;
}
.dark-hover-overlay .mega-menu .menu-item.dropdown .wrap::before {
    background-color: transparent;
    bottom: 0;
    content: "";
    display: block;
    left: 0;
    pointer-events: none;
    position: fixed;
    right: 0;
    top: 0;
    transform: translate3d(0, 0, 0);
    transition: all var(--transition-duration) ease-in;
    z-index: 4;
}
.mega-menu .menu-item.dropdown .wrap, .mega-menu .menu-item.dropdown .wrap>a {
    background-color: inherit;
}
.menu-row.middle-block:not(.bglight) .mega-menu table td .wrap>a .svg path {
    fill: #fff;
}
.menu-navigation__content {
    flex-grow: 1;
    padding: 0;
}
.menu-row .mega-menu table td.wide_menu .dropdown-menu.long-menu-items .customScrollbar {
    max-height: 630px;
    overflow: auto;
    overscroll-behavior: contain;
}
.dropdown-menu.with_right_block .scrollblock:not(.scroll-init) {
    display: flex;
    flex-direction: row-reverse;
}
.wrapper1 .menu-row .mega-menu table td.wide_menu>.wrap>.dropdown-menu.long-menu-items ul.menu-wrapper.menu-type-4, .wrapper1 .menu-row .mega-menu table td.wide_menu>.wrap>.dropdown-menu.long-menu-items ul.menu-wrapper.menu-type-4>li {
    width: 100%;
    padding: 0;
    margin: 0;
}
.menu-row .mega-menu table td.wide_menu .dropdown-menu ul.menu-wrapper {
    max-height: none;
}
.mega-menu .menu-navigation__sections>div {
    overflow-wrap: break-word;
}
body#main .colored_theme_text, body#main .colored_theme_text_with_hover:not(:hover) {
    color: #9e9e9e;
    color: var(--fill_dark_light_hover);
}
body .menu-navigation__sections .menu-navigation__sections-item-link {
    white-space: normal;
}
.menu-navigation__sections-item-link .svg-inline-right {
    position: absolute;
    right: 20px;
    top: 17px;
}
.wrapper1 .menu-row .mega-menu table td.wide_menu>.wrap>.dropdown-menu.long-menu-items ul.menu-wrapper.menu-type-4>li {
    min-height: 630px;
}
.wrapper1 .menu-row .mega-menu table td.wide_menu>.wrap>.dropdown-menu.long-menu-items ul.menu-wrapper.menu-type-4>li {
    width: 100%;
    padding: 0;
    margin: 0;
}
.wrapper1 .menu-row .mega-menu table td.wide_menu .long-menu-items.dropdown-menu ul.menu-wrapper>li:nth-child(3n + 1) {
    clear: left !important;
}
.menu-row .mega-menu table td.wide_menu .dropdown-menu.with_right_block .customScrollbar .right-side {
    width: 260px;
    margin: 40px 40px 40px 0;
    flex-shrink: 0;
}
.dropdown-menu.long-menu-items ul.menu-wrapper.menu-type-4>li .subitems-wrapper {
    width: 100%;
}
.menu-row .mega-menu table td.wide_menu .dropdown-menu.with_right_block ul.menu-wrapper {
    padding-right: 0;
}
.menu-row .mega-menu table td.wide_menu>.wrap>.dropdown-menu ul.menu-wrapper {
    width: 100%;
    margin: 0;
    padding: 37px 40px 10px;
    left: 0 !important;
    height: 100%;
}
.menu-row .mega-menu table td.wide_menu .dropdown-menu ul.menu-wrapper {
    max-height: none;
}
.wrapper1 .menu-row .mega-menu table td.wide_menu>.wrap>.dropdown-menu.long-menu-items ul.menu-wrapper.menu-type-4>li .subitems-wrapper>ul>li {
    width: 33.33%;
    clear: none;
}
.wrapper1 .menu-row .mega-menu table td.wide_menu .long-menu-items.dropdown-menu ul.menu-wrapper>li:nth-child(3n + 1) {
    clear: left !important;
}
.wrapper1 .menu-row .mega-menu table td.wide_menu .dropdown-menu ul.menu-wrapper > li:nth-child(4n + 1) {
    clear: left;
}
.menu-row .mega-menu table td.wide_menu>.wrap>.dropdown-menu ul.menu-wrapper>li.has_img.icon {
    padding-left: 60px;
}
.menu-row .mega-menu table td.wide_menu>.wrap>.dropdown-menu ul.menu-wrapper>li.has_img .menu_img.icon, .menu-row .mega-menu table td.wide_menu>.wrap>.dropdown-menu ul.menu-wrapper>li.has_img .menu_img.icon svg {
    width: 40px;
}
.menu-row .mega-menu table td.wide_menu>.wrap>.dropdown-menu ul.menu-wrapper>li.has_img .menu_img {
    display: block;
    width: 60px;
    position: absolute;
    top: 4px;
    left: 0;
}
.menu-row .mega-menu table td.wide_menu>.wrap>.dropdown-menu ul.menu-wrapper>li.has_img .menu_img>a {
    padding-left: 0 !important;
    padding-right: 0 !important;
}
.mega-menu table .dropdown-menu li a.img_link {
    padding: 0 !important;
}
.menu-row .mega-menu table td.wide_menu .long-menu-items .menu-type-4 .dropdown-submenu .dropdown-submenu .dropdown-menu {
    margin: 0;
}
.menu-row .mega-menu table td.wide_menu .dropdown-submenu .dropdown-submenu .dropdown-menu {
    margin: 0 0 0 20px;
    float: none;
}
.menu-row .mega-menu table td.wide_menu .dropdown-submenu .dropdown-menu {
    display: block;
    position: static;
    opacity: 1;
    box-shadow: none;
    background: none;
    max-width: 100%;
}
.mega-menu table .dropdown-submenu .dropdown-menu {
    top: 2px;
    left: 100%;
}
.menu-row .mega-menu table td.wide_menu>.wrap>.dropdown-menu.long-menu-items ul.menu-wrapper>li>.dropdown-menu>li {
    display: block;
}

.menu-row .mega-menu table td.wide_menu>.wrap>.dropdown-menu ul.menu-wrapper>li>.dropdown-menu li a:not(:hover) {
    color: #666;
    color: var(--light_basic_text_black);
}
.menu-row .mega-menu table td.wide_menu>.wrap>.dropdown-menu ul.menu-wrapper>li>.dropdown-menu li a {
    padding-right: 0 !important;
    padding-left: 7px !important;
    white-space: normal;
}
.menu-row .mega-menu table td.wide_menu .dropdown-submenu .dropdown-menu>li>a {
    font-size: 13px;
    padding: 8px 20px 0 !important;
}
.mega-menu table .wrap>.dropdown-menu li:first-of-type>a, .auth_wr_inner .dropdown-menu li:first-of-type>a {
    border-top-color: transparent !important;
}
.menu-row.middle-block .mega-menu table td .wrap>a {
    border: none;
    font-weight: bold;
    position: relative;
    width: auto;
    font-size: .867em;
    color: #222222;
    color: var(--white_text_black2);
    text-transform: uppercase;
    display: block;
    padding: 18px 18px 25px;
    height: 53px;
    line-height: 1.33em;
    letter-spacing: 1.2px;
}
.menu-row.middle-block .mega-menu table td .wrap>a>div {
    display: inline-block;
}
.mega-menu .menu-item:hover .wrap>.dropdown-menu {
    visibility: visible;
    opacity: 1;
}
#main .mega-menu table td:not(.wide_menu) .dropdown-menu .menu-wrapper {
    margin: 0;
    width: 100%;
}
.mega-menu .menu-wrapper>li, .mega-menu .menu-navigation__sections>div {
    overflow-wrap: break-word;
}
#main .mega-menu table td:not(.wide_menu) .dropdown-menu li:hover>a {
    background-color: #fafafa;
    background-color: var(--light_bg_black);
}
#main .mega-menu table td:not(.wide_menu) .dropdown-menu li a {
    padding: 14px 27px 13px 20px !important;
    line-height: 25px;
    border-top: 1px solid #f0f0f0;
    border-color: var(--light_bg_black);
    border-radius: 0 0 3px 3px;
}
.mega-menu table .dropdown-menu li.active>a {
    color: var(--fill_dark_light_hover);
}
.dropdown-menu ul.menu-wrapper>li>a:hover {
    background: #fff;
    background: var(--card_bg_black);
}
.mega-menu table td:not(.wide_menu) .dropdown-menu li>a .name {
    display: block;
    max-width: 200px;
    overflow: hidden;
    text-overflow: ellipsis;
}
.mega-menu table .dropdown-menu li a, .auth_wr_inner .dropdown-menu li a {
    color: #222222;
    color: var(--white_text_black2);
    padding: 14px 29px 14px 7px !important;
    background: none;
}
#main .mega-menu table td:not(.wide_menu) .dropdown-menu li .svg-inline-right {
    position: absolute;
    right: 20px;
    top: 50%;
    margin-top: -2px;
}

.menu-row .mega-menu table td.wide_menu > .wrap > .dropdown-menu ul.menu-wrapper > li.has_img {

    min-height: 60px;
}
.menu-row .mega-menu table td.wide_menu > .wrap > .dropdown-menu ul.menu-wrapper > li {
    display: inline-block;
    width: 25%;
    float: left;
    margin: 0px 0px 32px;
    padding: 0px 20px 0px 0px;
}

.mega-menu table .dropdown-submenu, .dropdown-menu li {
    position: relative;
    overflow-wrap: break-word;
    padding: 0px;
    margin: 0px;
}
.menu-row .mega-menu table td.wide_menu>.wrap>.dropdown-menu ul.menu-wrapper>li.has_img .menu_img.icon, .menu-row .mega-menu table td.wide_menu>.wrap>.dropdown-menu ul.menu-wrapper>li.has_img .menu_img.icon svg {
    width: 40px;
}
.menu-row .mega-menu table td.wide_menu>.wrap>.dropdown-menu ul.menu-wrapper>li.has_img .menu_img {
    display: block;
    width: 60px;
    position: absolute;
    top: 4px;
    left: 0;
}
.menu-row .mega-menu table td.wide_menu>.wrap>.dropdown-menu ul.menu-wrapper>li.has_img .menu_img>a {
    padding-left: 0 !important;
    padding-right: 0 !important;
}
.mega-menu table .dropdown-menu li a.img_link {
    padding: 0 !important;
}
.menu-row .mega-menu table td.wide_menu > .wrap > .dropdown-menu ul.menu-wrapper > li > a {
    padding-top: 0px !important;
    padding-bottom: 6px !important;
    font-size: 15px;
    line-height: 20px;
}
.menu-row .mega-menu table td.wide_menu .dropdown-menu ul.menu-wrapper > li > a {
    white-space: normal;
    border: none;
}
.mega-menu table .wrap>.dropdown-menu li:first-of-type>a, .auth_wr_inner .dropdown-menu li:first-of-type>a {
    border-top-color: transparent !important;
}
.mega-menu table .wide_menu .dropdown-menu li > a:hover, .mega-menu table .dropdown-menu li.active > a {
    color: var(--fill_dark_light_hover);
}
.dropdown-menu ul.menu-wrapper>li>a:hover {
    background: #fff;
    background: var(--card_bg_black);
}
.menu-row.bgcolored .mega-menu table .wrap > .dropdown-menu li:first-of-type > .dropdown-menu {
    top: 0px;
}
.menu-row .mega-menu table td.wide_menu .dropdown-submenu .dropdown-menu {
    display: block;
    position: static;
    opacity: 1;
    box-shadow: none;
    background: none;
    max-width: 100%;
}
.dropdown-submenu:hover > .dropdown-menu, .mega-menu .menu-item.wide_menu:hover .dropdown-menu, .mega-menu .menu-item:hover .wrap > .dropdown-menu {
    visibility: visible;
    opacity: 1;
}
.menu-row .mega-menu table td.wide_menu > .wrap > .dropdown-menu ul.menu-wrapper > li.has_img > .dropdown-menu > li {
    display: block;
}




.menu-row .mega-menu table td.wide_menu .dropdown-menu.long-menu-items .customScrollbar {
    max-height: 630px;
    overflow: auto;
    overscroll-behavior: contain;
}
.dropdown-menu.with_right_block .mCSB_container, .dropdown-menu.with_right_block .scroll-init:not(.mCustomScrollbar), .dropdown-menu.with_right_block .scrollblock:not(.scroll-init) {
    display: flex;
    flex-direction: row-reverse;
}
.menu-row .mega-menu table td.wide_menu .dropdown-menu:not(.long-menu-items) .customScrollbar {
    max-height: 485px;
    overflow: auto;
    overscroll-behavior: contain;
}
#main .mega-menu table td.wide_menu .dropdown-menu li .svg-inline-right {
    display: none;
}





.mega-menu .menu-item.dropdown:hover .wrap, 
.mega-menu .menu-item.dropdown:hover .wrap>a {
    z-index: 4;
}
.mega-menu .menu-item.dropdown:hover .wrap::before {
    background-color: rgba(0, 0, 0, .6);
}
.dark-hover-overlay .mega-menu .menu-item.dropdown:hover .wrap>a {
    color: var(--menu-item-hover-color) !important;
}
.wrapper1.dark-hover-overlay ~ .shadow-block {
    background-color: rgba(0, 0, 0, 0.5);
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    z-index: 1047;
}

